ruby: updated to 1.8.5
authorTilman Sauerbeck <tilman@code-monkey.de>
Sun, 27 Aug 2006 11:41:35 +0000 (13:41 +0200)
committerTilman Sauerbeck <tilman@code-monkey.de>
Sun, 27 Aug 2006 11:41:35 +0000 (13:41 +0200)
ruby/.footprint
ruby/.md5sum
ruby/Pkgfile
ruby/ruby-valgrind.diff

index 583ab42849624c7b0c83ddb53d04ff3bba0da260..e77267b3701338dee9ade8952410e8e73ec643eb 100644 (file)
@@ -8,9 +8,9 @@ drwxr-xr-x      root/root       usr/bin/
 -rwxr-xr-x     root/root       usr/bin/testrb
 drwxr-xr-x     root/root       usr/lib/
 -rw-r--r--     root/root       usr/lib/libruby-static.a
-lrwxrwxrwx     root/root       usr/lib/libruby.so -> libruby.so.1.8.4
-lrwxrwxrwx     root/root       usr/lib/libruby.so.1.8 -> libruby.so.1.8.4
--rwxr-xr-x     root/root       usr/lib/libruby.so.1.8.4
+lrwxrwxrwx     root/root       usr/lib/libruby.so -> libruby.so.1.8.5
+lrwxrwxrwx     root/root       usr/lib/libruby.so.1.8 -> libruby.so.1.8.5
+-rwxr-xr-x     root/root       usr/lib/libruby.so.1.8.5
 drwxr-xr-x     root/root       usr/lib/ruby/
 drwxr-xr-x     root/root       usr/lib/ruby/1.8/
 -rw-r--r--     root/root       usr/lib/ruby/1.8/English.rb
@@ -122,7 +122,6 @@ drwxr-xr-x  root/root       usr/lib/ruby/1.8/linux/
 -rwxr-xr-x     root/root       usr/lib/ruby/1.8/linux/bigdecimal.so
 -rw-r--r--     root/root       usr/lib/ruby/1.8/linux/config.h
 -rwxr-xr-x     root/root       usr/lib/ruby/1.8/linux/curses.so
--rwxr-xr-x     root/root       usr/lib/ruby/1.8/linux/dbm.so
 -rw-r--r--     root/root       usr/lib/ruby/1.8/linux/defines.h
 -rwxr-xr-x     root/root       usr/lib/ruby/1.8/linux/digest.so
 drwxr-xr-x     root/root       usr/lib/ruby/1.8/linux/digest/
@@ -366,6 +365,7 @@ drwxr-xr-x  root/root       usr/lib/ruby/1.8/rss/maker/
 -rw-r--r--     root/root       usr/lib/ruby/1.8/rss/maker/dublincore.rb
 -rw-r--r--     root/root       usr/lib/ruby/1.8/rss/maker/image.rb
 -rw-r--r--     root/root       usr/lib/ruby/1.8/rss/maker/syndication.rb
+-rw-r--r--     root/root       usr/lib/ruby/1.8/rss/maker/taxonomy.rb
 -rw-r--r--     root/root       usr/lib/ruby/1.8/rss/maker/trackback.rb
 -rw-r--r--     root/root       usr/lib/ruby/1.8/rss/parser.rb
 -rw-r--r--     root/root       usr/lib/ruby/1.8/rss/rexmlparser.rb
index c7df77dd992de237a745a3b262ced6085981df24..63347a4aa2a6cb7566e4d848ad3a0e629c51f29f 100644 (file)
@@ -1,3 +1,3 @@
-bd8c2e593e1fa4b01fd98eaf016329bb  ruby-1.8.4.tar.gz
+3fbb02294a8ca33d4684055adba5ed6f  ruby-1.8.5.tar.gz
 d662b7a68bb88366f2a76b433d765d75  ruby-arch.diff
-558aa6338e1890b4e9df00b492bc574d  ruby-valgrind.diff
+af301cb7830a880e7b30fdba1a64ef97  ruby-valgrind.diff
index 8eef698d9571ba062ef060297bcb28d5fc73c04d..9d158404d55b663348d5cf7ce982459530099043 100644 (file)
@@ -6,7 +6,7 @@
 # Depends on:  openssl
 
 name=ruby
-version=1.8.4
+version=1.8.5
 release=1
 source=(ftp://ftp.ruby-lang.org/pub/$name/1.8/$name-$version.tar.gz \
         $name-arch.diff $name-valgrind.diff)
@@ -17,7 +17,8 @@ build () {
        patch -Np1 -i ../$name-valgrind.diff
        patch -Np1 -i ../$name-arch.diff
 
-       ./configure --prefix=/usr --enable-shared --enable-pthread
+       ./configure --prefix=/usr --enable-shared --enable-pthread \
+                   --mandir=/usr/man
 
        make
 
index b8b2fcf5e3d641bfd689c9773848b39247f516a0..478635c64d94b8912972ea07790f78dbcacea1e4 100644 (file)
@@ -1,7 +1,7 @@
-diff -aur ruby-1.8.4.orig/Makefile.in ruby-1.8.4/Makefile.in
---- ruby-1.8.4.orig/Makefile.in        2005-11-11 00:22:03.000000000 +0100
-+++ ruby-1.8.4/Makefile.in     2005-12-22 13:14:25.402304500 +0100
-@@ -32,7 +32,7 @@
+diff -aur ruby-1.8.5.orig/Makefile.in ruby-1.8.5/Makefile.in
+--- ruby-1.8.5.orig/Makefile.in        2006-08-08 04:37:43.000000000 +0200
++++ ruby-1.8.5/Makefile.in     2006-08-25 16:44:19.273278750 +0200
+@@ -33,7 +33,7 @@
  
  empty =
  OUTFLAG = @OUTFLAG@$(empty)
@@ -10,38 +10,50 @@ diff -aur ruby-1.8.4.orig/Makefile.in ruby-1.8.4/Makefile.in
  CPPFLAGS = -I. -I$(srcdir) @CPPFLAGS@
  LDFLAGS = @STATIC@ $(CFLAGS) @LDFLAGS@
  EXTLDFLAGS = 
-diff -aur ruby-1.8.4.orig/configure ruby-1.8.4/configure
---- ruby-1.8.4.orig/configure  2005-12-22 08:29:52.000000000 +0100
-+++ ruby-1.8.4/configure       2005-12-22 13:20:56.010716000 +0100
-@@ -308,7 +308,7 @@
- # include <unistd.h>
- #endif"
+diff -aur ruby-1.8.5.orig/configure ruby-1.8.5/configure
+--- ruby-1.8.5.orig/configure  2006-08-25 10:34:16.000000000 +0200
++++ ruby-1.8.5/configure       2006-08-25 16:44:19.281279250 +0200
+@@ -682,6 +682,9 @@
+ MAKEDIRS
+ LIBOBJS
+ ALLOCA
++PKG_CONFIG
++VALGRIND_CFLAGS
++VALGRIND_LIBS
+ DLDFLAGS
+ ARCH_FLAG
+ STATIC
+@@ -747,7 +750,10 @@
+ CPPFLAGS
+ CPP
+ YACC
+-YFLAGS'
++YFLAGS
++PKG_CONFIG
++VALGRIND_CFLAGS
++VALGRIND_LIBS'
  
--ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS MAJOR MINOR TEENY build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os CC ac_ct_CC CFLAGS LDFLAGS CPPFLAGS EXEEXT OBJEXT CPP EGREP GNU_LD CPPOUTFILE OUTFLAG YACC RANLIB ac_ct_RANLIB AR ac_ct_AR NM ac_ct_NM WINDRES ac_ct_WINDRES DLLWRAP ac_ct_DLLWRAP OBJDUMP ac_ct_OBJDUMP LN_S SET_MAKE INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA RM CP MAKEDIRS LIBOBJS ALLOCA DLDFLAGS ARCH_FLAG STATIC CCDLFLAGS LDSHARED DLEXT DLEXT2 LIBEXT LINK_SO LIBPATHFLAG RPATHFLAG LIBPATHENV TRY_LINK STRIP EXTSTATIC setup MINIRUBY PREP RUNRUBY EXTOUT ARCHFILE RDOCTARGET XCFLAGS XLDFLAGS LIBRUBY_LDSHARED LIBRUBY_DLDFLAGS RUBY_INSTALL_NAME rubyw_install_name RUBYW_INSTALL_NAME RUBY_SO_NAME LIBRUBY_A LIBRUBY_SO LIBRUBY_ALIASES LIBRUBY LIBRUBYARG LIBRUBYARG_STATIC LIBRUBYARG_SHARED SOLIBS DLDLIBS ENABLE_SHARED MAINLIBS COMMON_LIBS COMMON_MACROS COMMON_HEADERS EXPORT_PREFIX MINIOBJS MAKEFILES arch sitearch sitedir configure_args NROFF MANTYPE LTLIBOBJS'
-+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS MAJOR MINOR TEENY build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os CC ac_ct_CC CFLAGS LDFLAGS CPPFLAGS EXEEXT OBJEXT CPP EGREP GNU_LD CPPOUTFILE OUTFLAG YACC RANLIB ac_ct_RANLIB AR ac_ct_AR NM ac_ct_NM WINDRES ac_ct_WINDRES DLLWRAP ac_ct_DLLWRAP OBJDUMP ac_ct_OBJDUMP LN_S SET_MAKE INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA RM CP MAKEDIRS LIBOBJS ALLOCA PKG_CONFIG ac_pt_PKG_CONFIG VALGRIND_CFLAGS VALGRIND_LIBS DLDFLAGS ARCH_FLAG STATIC CCDLFLAGS LDSHARED DLEXT DLEXT2 LIBEXT LINK_SO LIBPATHFLAG RPATHFLAG LIBPATHENV TRY_LINK STRIP EXTSTATIC setup MINIRUBY PREP RUNRUBY EXTOUT ARCHFILE RDOCTARGET XCFLAGS XLDFLAGS LIBRUBY_LDSHARED LIBRUBY_DLDFLAGS RUBY_INSTALL_NAME rubyw_install_name RUBYW_INSTALL_NAME RUBY_SO_NAME LIBRUBY_A LIBRUBY_SO LIBRUBY_ALIASES LIBRUBY LIBRUBYARG LIBRUBYARG_STATIC LIBRUBYARG_SHARED SOLIBS DLDLIBS ENABLE_SHARED MAINLIBS COMMON_LIBS COMMON_MACROS COMMON_HEADERS EXPORT_PREFIX MINIOBJS MAKEFILES arch sitearch sitedir configure_args NROFF MANTYPE LTLIBOBJS'
- ac_subst_files=''
  
  # Initialize some variables set by options.
-@@ -769,6 +769,18 @@
- ac_env_CPP_value=$CPP
- ac_cv_env_CPP_set=${CPP+set}
- ac_cv_env_CPP_value=$CPP
-+ac_env_PKG_CONFIG_set=${PKG_CONFIG+set}
-+ac_env_PKG_CONFIG_value=$PKG_CONFIG
-+ac_cv_env_PKG_CONFIG_set=${PKG_CONFIG+set}
-+ac_cv_env_PKG_CONFIG_value=$PKG_CONFIG
-+ac_env_VALGRIND_CFLAGS_set=${VALGRIND_CFLAGS+set}
-+ac_env_VALGRIND_CFLAGS_value=$VALGRIND_CFLAGS
-+ac_cv_env_VALGRIND_CFLAGS_set=${VALGRIND_CFLAGS+set}
-+ac_cv_env_VALGRIND_CFLAGS_value=$VALGRIND_CFLAGS
-+ac_env_VALGRIND_LIBS_set=${VALGRIND_LIBS+set}
-+ac_env_VALGRIND_LIBS_value=$VALGRIND_LIBS
-+ac_cv_env_VALGRIND_LIBS_set=${VALGRIND_LIBS+set}
-+ac_cv_env_VALGRIND_LIBS_value=$VALGRIND_LIBS
+@@ -794,7 +800,7 @@
+ psdir='${docdir}'
+ libdir='${exec_prefix}/lib'
+ localedir='${datarootdir}/locale'
+-mandir='${datarootdir}/man'
++mandir='${prefix}/man'
  
- #
- # Report the --help message.
-@@ -863,6 +875,7 @@
+ ac_prev=
+ ac_dashdash=
+@@ -1297,7 +1303,7 @@
+   --datadir=DIR          read-only architecture-independent data [DATAROOTDIR]
+   --infodir=DIR          info documentation [DATAROOTDIR/info]
+   --localedir=DIR        locale-dependent data [DATAROOTDIR/locale]
+-  --mandir=DIR           man documentation [DATAROOTDIR/man]
++  --mandir=DIR           man documentation [PREFIX/man]
+   --docdir=DIR           documentation root [DATAROOTDIR/doc/PACKAGE]
+   --htmldir=DIR          html documentation [DOCDIR]
+   --dvidir=DIR           dvi documentation [DOCDIR]
+@@ -1340,6 +1346,7 @@
    --disable-largefile     omit support for large files
    --enable-pthread        use pthread library.
    --enable-setreuid       use setreuid()/setregid() according to need even if obsolete.
@@ -49,10 +61,10 @@ diff -aur ruby-1.8.4.orig/configure ruby-1.8.4/configure
    --disable-rpath         embed run path into extension libraries.
    --enable-shared         build a shared library for Ruby.
    --enable-install-doc    build and install rdoc indexes during install
-@@ -887,6 +900,11 @@
-   CPPFLAGS    C/C++ preprocessor flags, e.g. -I<include dir> if you have
-               headers in a nonstandard directory <include dir>
-   CPP         C preprocessor
+@@ -1370,6 +1377,11 @@
+   YFLAGS      The list of arguments that will be passed by default to $YACC.
+               This script will default YFLAGS to the empty string to avoid a
+               default value of `-d' given by some make applications.
 +  PKG_CONFIG  path to pkg-config utility
 +  VALGRIND_CFLAGS
 +              C compiler flags for VALGRIND, overriding pkg-config
@@ -61,1516 +73,17 @@ diff -aur ruby-1.8.4.orig/configure ruby-1.8.4/configure
  
  Use these variables to override the choices made by `configure' or to help
  it to find libraries and programs with nonstandard names/locations.
-@@ -979,7 +997,7 @@
-     else
-       echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
+@@ -17964,6 +17976,217 @@
      fi
--    cd "$ac_popdir"
-+    cd $ac_popdir
-   done
  fi
  
-@@ -2210,7 +2228,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -2268,7 +2287,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -2384,7 +2404,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -2438,7 +2459,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -2483,7 +2505,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -2527,7 +2550,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -3598,7 +3622,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -3906,7 +3931,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -4076,7 +4102,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -4139,7 +4166,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -4333,7 +4361,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -4362,7 +4391,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -4432,7 +4462,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -4484,7 +4515,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -4555,7 +4587,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -4607,7 +4640,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -4674,7 +4708,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -4737,7 +4772,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -4802,7 +4838,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -4864,7 +4901,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -4904,7 +4942,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -4960,7 +4999,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -5000,7 +5040,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -5064,7 +5105,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -5095,8 +5137,10 @@
- esac
- else
-   if test "$cross_compiling" = yes; then
--  { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
--echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
-+  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
-+See \`config.log' for more details." >&5
-+echo "$as_me: error: cannot run test program while cross compiling
-+See \`config.log' for more details." >&2;}
-    { (exit 1); exit 1; }; }
- else
-   cat >conftest.$ac_ext <<_ACEOF
-@@ -5208,7 +5252,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -5270,7 +5315,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -5310,7 +5356,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -5366,7 +5413,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -5406,7 +5454,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -5470,7 +5519,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -5501,8 +5551,10 @@
- esac
- else
-   if test "$cross_compiling" = yes; then
--  { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
--echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
-+  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
-+See \`config.log' for more details." >&5
-+echo "$as_me: error: cannot run test program while cross compiling
-+See \`config.log' for more details." >&2;}
-    { (exit 1); exit 1; }; }
- else
-   cat >conftest.$ac_ext <<_ACEOF
-@@ -5614,7 +5666,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -5676,7 +5729,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -5716,7 +5770,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -5772,7 +5827,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -5812,7 +5868,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -5876,7 +5933,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -5907,8 +5965,10 @@
- esac
- else
-   if test "$cross_compiling" = yes; then
--  { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
--echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
-+  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
-+See \`config.log' for more details." >&5
-+echo "$as_me: error: cannot run test program while cross compiling
-+See \`config.log' for more details." >&2;}
-    { (exit 1); exit 1; }; }
- else
-   cat >conftest.$ac_ext <<_ACEOF
-@@ -6020,7 +6080,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -6082,7 +6143,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -6122,7 +6184,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -6178,7 +6241,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -6218,7 +6282,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -6282,7 +6347,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -6313,8 +6379,10 @@
- esac
- else
-   if test "$cross_compiling" = yes; then
--  { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
--echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
-+  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
-+See \`config.log' for more details." >&5
-+echo "$as_me: error: cannot run test program while cross compiling
-+See \`config.log' for more details." >&2;}
-    { (exit 1); exit 1; }; }
- else
-   cat >conftest.$ac_ext <<_ACEOF
-@@ -6426,7 +6494,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -6488,7 +6557,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -6528,7 +6598,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -6584,7 +6655,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -6624,7 +6696,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -6688,7 +6761,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -6719,8 +6793,10 @@
- esac
- else
-   if test "$cross_compiling" = yes; then
--  { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
--echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
-+  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
-+See \`config.log' for more details." >&5
-+echo "$as_me: error: cannot run test program while cross compiling
-+See \`config.log' for more details." >&2;}
-    { (exit 1); exit 1; }; }
- else
-   cat >conftest.$ac_ext <<_ACEOF
-@@ -6832,7 +6908,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -6894,7 +6971,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -6934,7 +7012,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -6990,7 +7069,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -7030,7 +7110,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -7094,7 +7175,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -7125,8 +7207,10 @@
- esac
- else
-   if test "$cross_compiling" = yes; then
--  { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
--echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
-+  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
-+See \`config.log' for more details." >&5
-+echo "$as_me: error: cannot run test program while cross compiling
-+See \`config.log' for more details." >&2;}
-    { (exit 1); exit 1; }; }
- else
-   cat >conftest.$ac_ext <<_ACEOF
-@@ -7238,7 +7322,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -7300,7 +7385,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -7340,7 +7426,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -7396,7 +7483,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -7436,7 +7524,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -7500,7 +7589,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -7531,8 +7621,10 @@
- esac
- else
-   if test "$cross_compiling" = yes; then
--  { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
--echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
-+  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
-+See \`config.log' for more details." >&5
-+echo "$as_me: error: cannot run test program while cross compiling
-+See \`config.log' for more details." >&2;}
-    { (exit 1); exit 1; }; }
- else
-   cat >conftest.$ac_ext <<_ACEOF
-@@ -7644,7 +7736,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -7706,7 +7799,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -7746,7 +7840,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -7802,7 +7897,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -7842,7 +7938,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -7906,7 +8003,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -7937,8 +8035,10 @@
- esac
- else
-   if test "$cross_compiling" = yes; then
--  { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
--echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
-+  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
-+See \`config.log' for more details." >&5
-+echo "$as_me: error: cannot run test program while cross compiling
-+See \`config.log' for more details." >&2;}
-    { (exit 1); exit 1; }; }
- else
-   cat >conftest.$ac_ext <<_ACEOF
-@@ -8050,7 +8150,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -8112,7 +8213,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -8152,7 +8254,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -8208,7 +8311,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -8248,7 +8352,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -8312,7 +8417,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -8343,8 +8449,10 @@
- esac
- else
-   if test "$cross_compiling" = yes; then
--  { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
--echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
-+  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
-+See \`config.log' for more details." >&5
-+echo "$as_me: error: cannot run test program while cross compiling
-+See \`config.log' for more details." >&2;}
-    { (exit 1); exit 1; }; }
- else
-   cat >conftest.$ac_ext <<_ACEOF
-@@ -8456,7 +8564,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -8518,7 +8627,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -8558,7 +8668,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -8614,7 +8725,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -8654,7 +8766,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -8718,7 +8831,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -8749,8 +8863,10 @@
- esac
- else
-   if test "$cross_compiling" = yes; then
--  { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
--echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
-+  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
-+See \`config.log' for more details." >&5
-+echo "$as_me: error: cannot run test program while cross compiling
-+See \`config.log' for more details." >&2;}
-    { (exit 1); exit 1; }; }
- else
-   cat >conftest.$ac_ext <<_ACEOF
-@@ -8865,7 +8981,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -8929,7 +9046,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -8988,7 +9106,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -9062,7 +9181,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -9124,7 +9244,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -9183,7 +9304,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -9247,7 +9369,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -9445,7 +9568,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -9580,7 +9704,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -9653,7 +9778,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -9726,7 +9852,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -9808,7 +9935,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -9880,7 +10008,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -9934,7 +10063,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -10005,7 +10135,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -10059,7 +10190,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -10126,7 +10258,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -10297,7 +10430,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -10394,7 +10528,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -10542,7 +10677,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -10607,7 +10743,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -10650,7 +10787,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -10720,7 +10858,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -10763,7 +10902,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -10843,7 +10983,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -10886,7 +11027,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -11090,7 +11232,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -11150,7 +11293,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -11231,7 +11375,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -11372,7 +11517,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -11587,7 +11733,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -11631,7 +11778,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -11696,7 +11844,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -11797,7 +11946,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -11917,7 +12067,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -12090,7 +12241,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -12168,7 +12320,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -12233,7 +12386,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -12279,7 +12433,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -12353,7 +12508,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -12415,7 +12571,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -12474,7 +12631,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -12684,7 +12842,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -12816,7 +12975,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -12858,7 +13018,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -12915,7 +13076,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -13083,7 +13245,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -13146,7 +13309,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -13205,7 +13369,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -13277,7 +13442,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -13401,7 +13567,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -13467,7 +13634,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -13533,7 +13701,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -13704,7 +13873,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -13843,7 +14013,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -13972,7 +14143,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -14044,7 +14216,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -14158,7 +14331,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -14193,6 +14367,202 @@
-     fi
- fi
-+# Check whether --enable-valgrind or --disable-valgrind was given.
++# Check whether --enable-valgrind was given.
 +if test "${enable_valgrind+set}" = set; then
-+  enableval="$enable_valgrind"
-+  want_valgrind=$enableval
++  enableval=$enable_valgrind; want_valgrind=$enableval
 +else
 +  want_valgrind=auto
-+fi;
++fi
++
 +
 +if test x"$want_valgrind" != xno; then
 +
@@ -1579,8 +92,8 @@ diff -aur ruby-1.8.4.orig/configure ruby-1.8.4/configure
 +      if test -n "$ac_tool_prefix"; then
 +  # Extract the first word of "${ac_tool_prefix}pkg-config", so it can be a program name with args.
 +set dummy ${ac_tool_prefix}pkg-config; ac_word=$2
-+echo "$as_me:$LINENO: checking for $ac_word" >&5
-+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
++echo "$as_me:$LINENO: checking for $ac_word" >&5
++echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
 +if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
 +  echo $ECHO_N "(cached) $ECHO_C" >&6
 +else
@@ -1595,34 +108,35 @@ diff -aur ruby-1.8.4.orig/configure ruby-1.8.4/configure
 +  IFS=$as_save_IFS
 +  test -z "$as_dir" && as_dir=.
 +  for ac_exec_ext in '' $ac_executable_extensions; do
-+  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
++  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then
 +    ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
 +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
 +    break 2
 +  fi
 +done
 +done
++IFS=$as_save_IFS
 +
 +  ;;
 +esac
 +fi
 +PKG_CONFIG=$ac_cv_path_PKG_CONFIG
-+
 +if test -n "$PKG_CONFIG"; then
-+  echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
-+echo "${ECHO_T}$PKG_CONFIG" >&6
++  echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
++echo "${ECHO_T}$PKG_CONFIG" >&6; }
 +else
-+  echo "$as_me:$LINENO: result: no" >&5
-+echo "${ECHO_T}no" >&6
++  echo "$as_me:$LINENO: result: no" >&5
++echo "${ECHO_T}no" >&6; }
 +fi
 +
++
 +fi
 +if test -z "$ac_cv_path_PKG_CONFIG"; then
 +  ac_pt_PKG_CONFIG=$PKG_CONFIG
 +  # Extract the first word of "pkg-config", so it can be a program name with args.
 +set dummy pkg-config; ac_word=$2
-+echo "$as_me:$LINENO: checking for $ac_word" >&5
-+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
++echo "$as_me:$LINENO: checking for $ac_word" >&5
++echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
 +if test "${ac_cv_path_ac_pt_PKG_CONFIG+set}" = set; then
 +  echo $ECHO_N "(cached) $ECHO_C" >&6
 +else
@@ -1637,28 +151,42 @@ diff -aur ruby-1.8.4.orig/configure ruby-1.8.4/configure
 +  IFS=$as_save_IFS
 +  test -z "$as_dir" && as_dir=.
 +  for ac_exec_ext in '' $ac_executable_extensions; do
-+  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
++  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then
 +    ac_cv_path_ac_pt_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
 +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
 +    break 2
 +  fi
 +done
 +done
++IFS=$as_save_IFS
 +
 +  ;;
 +esac
 +fi
 +ac_pt_PKG_CONFIG=$ac_cv_path_ac_pt_PKG_CONFIG
-+
 +if test -n "$ac_pt_PKG_CONFIG"; then
-+  echo "$as_me:$LINENO: result: $ac_pt_PKG_CONFIG" >&5
-+echo "${ECHO_T}$ac_pt_PKG_CONFIG" >&6
++  echo "$as_me:$LINENO: result: $ac_pt_PKG_CONFIG" >&5
++echo "${ECHO_T}$ac_pt_PKG_CONFIG" >&6; }
 +else
-+  echo "$as_me:$LINENO: result: no" >&5
-+echo "${ECHO_T}no" >&6
++  echo "$as_me:$LINENO: result: no" >&5
++echo "${ECHO_T}no" >&6; }
 +fi
 +
-+  PKG_CONFIG=$ac_pt_PKG_CONFIG
++  if test "x$ac_pt_PKG_CONFIG" = x; then
++    PKG_CONFIG=""
++  else
++    case $cross_compiling:$ac_tool_warned in
++yes:)
++{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
++whose name does not start with the host triplet.  If you think this
++configuration is useful to you, please write to autoconf@gnu.org." >&5
++echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
++whose name does not start with the host triplet.  If you think this
++configuration is useful to you, please write to autoconf@gnu.org." >&2;}
++ac_tool_warned=yes ;;
++esac
++    PKG_CONFIG=$ac_pt_PKG_CONFIG
++  fi
 +else
 +  PKG_CONFIG="$ac_cv_path_PKG_CONFIG"
 +fi
@@ -1666,22 +194,22 @@ diff -aur ruby-1.8.4.orig/configure ruby-1.8.4/configure
 +fi
 +if test -n "$PKG_CONFIG"; then
 +      _pkg_min_version=0.9.0
-+      echo "$as_me:$LINENO: checking pkg-config is at least version $_pkg_min_version" >&5
-+echo $ECHO_N "checking pkg-config is at least version $_pkg_min_version... $ECHO_C" >&6
++      echo "$as_me:$LINENO: checking pkg-config is at least version $_pkg_min_version" >&5
++echo $ECHO_N "checking pkg-config is at least version $_pkg_min_version... $ECHO_C" >&6; }
 +      if $PKG_CONFIG --atleast-pkgconfig-version $_pkg_min_version; then
-+              echo "$as_me:$LINENO: result: yes" >&5
-+echo "${ECHO_T}yes" >&6
++              echo "$as_me:$LINENO: result: yes" >&5
++echo "${ECHO_T}yes" >&6; }
 +      else
-+              echo "$as_me:$LINENO: result: no" >&5
-+echo "${ECHO_T}no" >&6
++              echo "$as_me:$LINENO: result: no" >&5
++echo "${ECHO_T}no" >&6; }
 +              PKG_CONFIG=""
 +      fi
 +
 +fi
 +
 +pkg_failed=no
-+echo "$as_me:$LINENO: checking for VALGRIND" >&5
-+echo $ECHO_N "checking for VALGRIND... $ECHO_C" >&6
++echo "$as_me:$LINENO: checking for VALGRIND" >&5
++echo $ECHO_N "checking for VALGRIND... $ECHO_C" >&6; }
 +
 +if test -n "$PKG_CONFIG"; then
 +    if test -n "$VALGRIND_CFLAGS"; then
@@ -1743,8 +271,8 @@ diff -aur ruby-1.8.4.orig/configure ruby-1.8.4/configure
 +else
 +      VALGRIND_CFLAGS=$pkg_cv_VALGRIND_CFLAGS
 +      VALGRIND_LIBS=$pkg_cv_VALGRIND_LIBS
-+        echo "$as_me:$LINENO: result: yes" >&5
-+echo "${ECHO_T}yes" >&6
++        echo "$as_me:$LINENO: result: yes" >&5
++echo "${ECHO_T}yes" >&6; }
 +      have_valgrind=yes
 +fi
 +
@@ -1763,86 +291,49 @@ diff -aur ruby-1.8.4.orig/configure ruby-1.8.4/configure
  DEFAULT_KCODE="KCODE_NONE"
  
  
-@@ -14503,7 +14873,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -14670,7 +15041,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -14743,7 +15115,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -14847,7 +15220,8 @@
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-+       { ac_try='test -z "$ac_c_werror_flag"
-+                       || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-@@ -16209,6 +16583,10 @@
- s,@MAKEDIRS@,$MAKEDIRS,;t t
- s,@LIBOBJS@,$LIBOBJS,;t t
- s,@ALLOCA@,$ALLOCA,;t t
-+s,@PKG_CONFIG@,$PKG_CONFIG,;t t
-+s,@ac_pt_PKG_CONFIG@,$ac_pt_PKG_CONFIG,;t t
-+s,@VALGRIND_CFLAGS@,$VALGRIND_CFLAGS,;t t
-+s,@VALGRIND_LIBS@,$VALGRIND_LIBS,;t t
- s,@DLDFLAGS@,$DLDFLAGS,;t t
- s,@ARCH_FLAG@,$ARCH_FLAG,;t t
- s,@STATIC@,$STATIC,;t t
-@@ -16429,6 +16807,11 @@
-   *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
-   esac
+@@ -20080,6 +20303,9 @@
+ MAKEDIRS!$MAKEDIRS$ac_delim
+ LIBOBJS!$LIBOBJS$ac_delim
+ ALLOCA!$ALLOCA$ac_delim
++PKG_CONFIG!$PKG_CONFIG$ac_delim
++VALGRIND_CFLAGS!$VALGRIND_CFLAGS$ac_delim
++VALGRIND_LIBS!$VALGRIND_LIBS$ac_delim
+ DLDFLAGS!$DLDFLAGS$ac_delim
+ ARCH_FLAG!$ARCH_FLAG$ac_delim
+ STATIC!$STATIC$ac_delim
+@@ -20089,9 +20315,6 @@
+ DLEXT2!$DLEXT2$ac_delim
+ LIBEXT!$LIBEXT$ac_delim
+ LINK_SO!$LINK_SO$ac_delim
+-LIBPATHFLAG!$LIBPATHFLAG$ac_delim
+-RPATHFLAG!$RPATHFLAG$ac_delim
+-LIBPATHENV!$LIBPATHENV$ac_delim
+ _ACEOF
  
-+  if test x"$ac_file" != x-; then
-+    { echo "$as_me:$LINENO: creating $ac_file" >&5
-+echo "$as_me: creating $ac_file" >&6;}
-+    rm -f "$ac_file"
-+  fi
-   # Let's still pretend it is `configure' which instantiates (i.e., don't
-   # use $as_me), people would be surprised to read:
-   #    /* config.h.  Generated by config.status.  */
-@@ -16467,12 +16850,6 @@
-        fi;;
-       esac
-     done` || { (exit 1); exit 1; }
--
--  if test x"$ac_file" != x-; then
--    { echo "$as_me:$LINENO: creating $ac_file" >&5
--echo "$as_me: creating $ac_file" >&6;}
--    rm -f "$ac_file"
--  fi
+   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
+@@ -20133,6 +20356,9 @@
+ ac_delim='%!_!# '
+ for ac_last_try in false false false false false :; do
+   cat >conf$$subs.sed <<_ACEOF
++LIBPATHFLAG!$LIBPATHFLAG$ac_delim
++RPATHFLAG!$RPATHFLAG$ac_delim
++LIBPATHENV!$LIBPATHENV$ac_delim
+ TRY_LINK!$TRY_LINK$ac_delim
+ STRIP!$STRIP$ac_delim
+ EXTSTATIC!$EXTSTATIC$ac_delim
+@@ -20178,7 +20404,7 @@
+ LTLIBOBJS!$LTLIBOBJS$ac_delim
  _ACEOF
- cat >>$CONFIG_STATUS <<_ACEOF
-   sed "$ac_vpsub
-diff -aur ruby-1.8.4.orig/configure.in ruby-1.8.4/configure.in
---- ruby-1.8.4.orig/configure.in       2005-11-24 13:07:18.000000000 +0100
-+++ ruby-1.8.4/configure.in    2005-12-22 13:14:05.697073000 +0100
-@@ -769,6 +769,20 @@
+-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 43; then
++  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 46; then
+     break
+   elif $ac_last_try; then
+     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
+diff -aur ruby-1.8.5.orig/configure.in ruby-1.8.5/configure.in
+--- ruby-1.8.5.orig/configure.in       2006-08-08 04:37:43.000000000 +0200
++++ ruby-1.8.5/configure.in    2006-08-25 16:44:19.281279250 +0200
+@@ -832,6 +832,20 @@
      fi
  fi
  
@@ -1863,9 +354,9 @@ diff -aur ruby-1.8.4.orig/configure.in ruby-1.8.4/configure.in
  dnl default value for $KANJI
  DEFAULT_KCODE="KCODE_NONE"
  
-diff -aur ruby-1.8.4.orig/gc.c ruby-1.8.4/gc.c
---- ruby-1.8.4.orig/gc.c       2005-12-16 05:58:51.000000000 +0100
-+++ ruby-1.8.4/gc.c    2005-12-22 13:14:05.697073000 +0100
+diff -aur ruby-1.8.5.orig/gc.c ruby-1.8.5/gc.c
+--- ruby-1.8.5.orig/gc.c       2006-08-25 10:12:46.000000000 +0200
++++ ruby-1.8.5/gc.c    2006-08-25 16:44:19.285279500 +0200
 @@ -30,6 +30,12 @@
  #include <sys/resource.h>
  #endif
@@ -1879,7 +370,7 @@ diff -aur ruby-1.8.4.orig/gc.c ruby-1.8.4/gc.c
  #ifdef __ia64__
  #include <ucontext.h>
  #if defined(__FreeBSD__)
-@@ -620,6 +626,9 @@
+@@ -634,6 +640,9 @@
      register long n;
  {
      VALUE v;
@@ -1889,7 +380,7 @@ diff -aur ruby-1.8.4.orig/gc.c ruby-1.8.4/gc.c
      while (n--) {
          v = *x;
        if (is_pointer_to_heap((void *)v)) {
-@@ -710,7 +719,10 @@
+@@ -724,7 +733,10 @@
  {
      register RVALUE *obj;